package com.sifang.modules.supply.warehouse.request;

import com.sifang.modules.supply.order.request.ApplyOrderDetailReq;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

public class MateFittingVo {

    @NotBlank(message = "id不能为空!")
    private String id;

    // 1 暂存  2 提交(或者为空)
    @NotBlank(message = "参数不能为空!")
    private String actionType;

    @NotEmpty(message = "物料不能为空")
    private  List<ApplyOrderDetailReq> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public List<ApplyOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<ApplyOrderDetailReq> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return "MateFittingVo{" +
                "id='" + id + '\'' +
                ", actionType='" + actionType + '\'' +
                ", details=" + details +
                '}';
    }
}
